package param

// SaveNavigationType
// @description: 新增/编辑导航分类
type SaveNavigationType struct {
	Id   string `json:"id" form:"id" binding:"omitempty"`
	Name string `json:"name" form:"name" binding:"required"`
	Icon string `json:"icon" form:"icon" binding:"required"`
}

// NavigationList
// @description: 导航分页列表查询
type NavigationList struct {
	Type  string `json:"type" form:"type" binding:"omitempty"`
	Title string `json:"title" form:"title" binding:"omitempty"`
	Link  string `json:"link" form:"link" binding:"omitempty"`
	Page
}

// SaveNavigation
// @description: 新增/编辑导航
type SaveNavigation struct {
	Id          string `json:"id" form:"id" binding:"omitempty"`
	TypeId      string `json:"typeId" form:"typeId" binding:"required"`
	Title       string `json:"title" form:"title" binding:"required"`
	Url         string `json:"url" form:"url" binding:"required"`
	Icon        string `json:"icon" form:"icon" binding:"omitempty"`
	Enabled     int    `json:"enabled" form:"enabled" binding:"required,oneof=0 1"`
	Description string `json:"description" form:"description" binding:"omitempty"`
}
