package main

import (
	"fmt"
	"gitee.ltd/lxh/logger/log"
	"math/rand"
	"net/http"
	"time"
	"website-nav/config"
	"website-nav/http/router"
	"website-nav/initialize"
	"website-nav/script"
)

func init() {
	initialize.Init()
	if err := script.New().Do(); err != nil {
		log.Errorf("执行脚本失败: %v", err.Error())
	}
}

func main() {
	// 随机数种子
	rand.New(rand.NewSource(time.Now().Local().UnixNano()))

	// 启动服务
	router.Rooters()
	handler := router.InitRouter()
	httpServe := http.Server{
		Addr:    fmt.Sprintf(":%d", config.GlobalConfig.Http.Port),
		Handler: handler,
	}

	if err := httpServe.ListenAndServe(); err != nil {
		log.Panicf("启动http服务端失败: %v", err.Error())
	}
}
